CVE-2010-4539

NameCVE-2010-4539
DescriptionThe walk function in repos.c in the mod_dav_svn module for the Apache HTTP Server, as distributed in Apache Subversion before 1.6.15, allows remote authenticated users to cause a denial of service (NULL pointer dereference and daemon crash) via vectors that trigger the walking of SVNParentPath collections.
SourceCVE (at NVD; oss-sec, fulldisc, OSVDB, EDB, Metasploit, Red Hat, Ubuntu, Gentoo, SuSE, Mageia, more)
NVD severitymedium (attack range: remote)
Debian Bugs608989
Debian/oldoldstablenot vulnerable.
Debian/oldstablenot vulnerable.
Debian/stablenot vulnerable.
Debian/testingnot vulnerable.
Debian/unstablenot vulnerable.

Vulnerable and fixed packages

The table below lists information on source packages.

Source PackageReleaseVersionStatus
subversion (PTS)squeeze, squeeze (security)1.6.12dfsg-7fixed
squeeze (lts)1.6.12dfsg-7+deb6u2fixed
wheezy1.6.17dfsg-4+deb7u8fixed
wheezy (security)1.6.17dfsg-4+deb7u9fixed
jessie1.8.10-6fixed
stretch, sid1.8.13-1fixed

The information below is based on the following data on fixed versions.

PackageTypeReleaseFixed VersionUrgencyOriginDebian Bugs
subversionsource(unstable)1.6.12dfsg-4low608989

Notes

[lenny] - subversion <no-dsa> (Minor issue)

Search for package or bug name: Reporting problems